<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gml="http://www.opengis.net/gml" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://ogr.maptools.org/polygony.xsd" xmlns:ogr="http://ogr.maptools.org/">
<xsl:output encoding="UTF-8" indent="yes" method="xml" version="1.0" />

<xsl:template match="/">
<kml xmlns="http://earth.google.com/kml/2.0">

<Document><Folder>
<!--cyklus pro opakované získání zvoleného elementu(gml:featureMember)-->
<xsl:for-each select="ogr:FeatureCollection/gml:featureMember">

<Placemark>

<description>
 <!--získání hodnot atributu 'popis' a 'probab'-->
 <xsl:value-of select="ogr:polygony/ogr:popis" />, <xsl:value-of select="ogr:polygony/ogr:probab" />
</description>

<Polygon>
<outerBoundaryIs><LinearRing><coordinates>
 <!--získání hodnot souřadnic vnějších hranic polygonu-->
 <xsl:value-of select="ogr:polygony/ogr:geometryProperty/gml:Polygon/gml:outerBoundaryIs/gml:LinearRing/gml:coordinates" />
</coordinates></LinearRing></outerBoundaryIs>

<!--cyklus pro opakované získání zvoleného elementu(gml:innerBoundaryIs)-->
<xsl:for-each select="ogr:polygony/ogr:geometryProperty/gml:Polygon/gml:innerBoundaryIs">
<innerBoundaryIs><LinearRing><coordinates>
 <!--získání hodnot souřadnic vnitřních hranic polygonu-->
 <xsl:value-of select="gml:LinearRing/gml:coordinates" />
</coordinates></LinearRing></innerBoundaryIs>
</xsl:for-each>
</Polygon>

<Style>
<LineStyle><color>0</color></LineStyle>
<PolyStyle>
<color>
  <!--testování hodnoty atributu 'probab' popisující pravděpodobnost pohybu hledanných osob pro rozlišení jednotlivých polygonů podle barvy-->
  <xsl:choose>
    <xsl:when test ="ogr:polygony/ogr:probab='100'">FF0000FF</xsl:when>
    <xsl:when test ="ogr:polygony/ogr:probab='95'">FF0040FF</xsl:when>
    <xsl:when test ="ogr:polygony/ogr:probab='90'">FF0080FF</xsl:when>
    <xsl:when test ="ogr:polygony/ogr:probab='85'">FF00C0FF</xsl:when>
    <xsl:otherwise>FF00FFFF</xsl:otherwise>
  </xsl:choose>
</color>
</PolyStyle>
</Style>

</Placemark>          
</xsl:for-each>

</Folder></Document></kml>

</xsl:template>
</xsl:stylesheet>                                                                                                                                                                                              
